require "application_system_test_case"

class MenuOptionsTest < ApplicationSystemTestCase
  setup do
    @menu_option = menu_options(:one)
  end

  test "visiting the index" do
    visit menu_options_url
    assert_selector "h1", text: "Menu options"
  end

  test "should create menu option" do
    visit menu_options_url
    click_on "New menu option"

    fill_in "Batch", with: @menu_option.batch_id
    fill_in "Menu", with: @menu_option.menu_id
    click_on "Create Menu option"

    assert_text "Menu option was successfully created"
    click_on "Back"
  end

  test "should update Menu option" do
    visit menu_option_url(@menu_option)
    click_on "Edit this menu option", match: :first

    fill_in "Batch", with: @menu_option.batch_id
    fill_in "Menu", with: @menu_option.menu_id
    click_on "Update Menu option"

    assert_text "Menu option was successfully updated"
    click_on "Back"
  end

  test "should destroy Menu option" do
    visit menu_option_url(@menu_option)
    click_on "Destroy this menu option", match: :first

    assert_text "Menu option was successfully destroyed"
  end
end
